/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-06-2012 04:35:42pm
Filepath: scripts\events and scenarios\Easter 2012\Easter Collection\Rewards\EasterBasket2012.cs
Lines of code: 55

Description: 

***********************************************************/


using System;
using Server.Items;
using Server.Network;




namespace Server.Items
{
	[Flipable( 9433, 9434 )]
	public class EasterBasket2012 : Container
	{
		[Constructable]
		public EasterBasket2012() : this( null )
		{
		}

		[Constructable]
		public EasterBasket2012( Mobile from ) : base( 9433 )
		{
			Weight = 1.0;
			Name = "an Easter basket";
			Hue = Utility.RandomList(1168, 1165, 1151, 2213, 1324, 1158, 1169, 1162, 1160, 1167);
			
			AddItem(new EasterWine()); 
			AddItem(new EasterBunnyCake()); 
			AddItem(new HotCrossBuns()); 
			AddItem(new HotCrossBuns()); 
			AddItem(new HotCrossBuns()); 
			AddItem(new HotCrossBuns()); 
			AddItem(new EasterCookies()); 
			AddItem(new EasterCookies()); 
			AddItem(new EasterCookies()); 
			AddItem(new EasterCookies()); 
			AddItem(new EasterCookies()); 
			AddItem(new EasterCookies()); 
			
			if (0.5 >= Utility.RandomDouble())
				AddItem(new EasterLamb());
			else
				AddItem(new EasterHam());
		}

		public EasterBasket2012( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Easter \t" + "2012");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
			//writer.Write(m_owner);
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			//m_owner=reader.ReadMobile();
		}
	}
}